javax.enterprise.inject.spi

## Interface Bean<T>

- Type Parameters:
    `T` - the class of the bean instance
  All Superinterfaces:
    BeanAttributes<T>, Contextual<T>
  All Known Subinterfaces:
    Decorator<T>, Interceptor<T>

      public interface Bean<T>
      extends Contextual<T>, BeanAttributes<T>

  Represents an enabled bean. This interface defines everything the container needs to manage instances of the bean.

  Author:
    Gavin King, David Allen

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getBeanClass()` The bean class of the managed bean or session bean or of the bean that declares the producer method or field.
    `Set<InjectionPoint>` | `getInjectionPoints()` Obtains the `InjectionPoint` objects representing injection points of the bean, that will be validated by the container at initialization time.
    `boolean` | `isNullable()` Determines if `Contextual.create(CreationalContext)` sometimes return a null value.

    - ### Methods inherited from interface javax.enterprise.context.spi.Contextual

      `create, destroy`

    - ### Methods inherited from interface javax.enterprise.inject.spi.BeanAttributes

      `getName, getQualifiers, getScope, getStereotypes, getTypes, isAlternative`

- - ### Method Detail

    - #### getBeanClass

          Class<?> getBeanClass()

      The bean class of the managed bean or session bean or of the bean that declares the producer method or field.
      Returns:
        the bean class

    - #### getInjectionPoints

          Set<InjectionPoint> getInjectionPoints()

      Obtains the `InjectionPoint` objects representing injection points of the bean, that will be validated by the container at initialization time.
      Returns:
        the set of injection points of the bean

    - #### isNullable

          boolean isNullable()

      Determines if `Contextual.create(CreationalContext)` sometimes return a null value.

      As of CDI 1.1 this method is deprecated and can safely always return false.

      Returns:
        `true` if the `create()` method may return a null value, and `false` otherwise

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.